
from __future__ import absolute_import

from vdsm.common import commands
from vdsm.common.cmdutils import CommandPath

_VIRTSYSPREP = CommandPath("virt-sysprep", "/usr/bin/virt-sysprep")


def sysprep(vol_paths):
    cmd = [_VIRTSYSPREP.cmd]
    for vol_path in vol_paths:
        cmd.extend(('-a', vol_path))

    commands.run(cmd)
